ArrayCtrl: in Multiselect mode, WhenSel is called 5 time each cursor change

06/05/2017 06:44 PM - Abdelghani Omari

Status: Approved Start date: 06/05/2017

Priority: Normal Due date:

Assignee: Miroslav Fidler % Done: 0%

Category: CtrlLib Estimated time: 0.00 hour

Target version: Release 2019.1 Spent time: 0.00 hour

Description

test case :

#include <CtrlLib/CtrlLib.h>

using namespace Upp;

GUI_APP_MAIN

{

    TopWindow win;

    ArrayCtrl arr;

    arr.AddColumn("");

    arr.MultiSelect();

    arr.WhenSel = [] { PromptOK("WhenSel");};

    for(int i = 0; i < 10; i++)

        arr.Add(i);

    win.Add(arr.SizePos());

    win.Run();

}

History

#1 - 03/26/2018 07:52 PM - Abdelghani Omari

- File ArrayCtrl.patch added

- Status changed from New to Patch ready

- Target version set to Release 2018.1

#2 - 04/03/2018 10:01 PM - Zbigniew Rebacz

- Target version changed from Release 2018.1 to Release 2019.1

#3 - 10/01/2018 11:07 AM - Abdelghani Omari

- Status changed from Patch ready to Approved

Files

ArrayCtrl.patch 2.25 KB 03/26/2018 Abdelghani Omari
